Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 4465)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 4466)
@@ -1807,36 +1808,36 @@
 !--       correction is needed to overcome numerical instabilities introduced
 !--       by a not sufficient reduction of divergences near topography.
-          div         =   ( u(k,j,i+1) * ( ibit0 + ibit1 + ibit2 )            &
-                          - u(k,j,i)   * (                                    &
-                        REAL( IBITS(advc_flag(k,j,i-1),0,1), KIND = wp )      &
-                      + REAL( IBITS(advc_flag(k,j,i-1),1,1), KIND = wp )      &
-                      + REAL( IBITS(advc_flag(k,j,i-1),2,1), KIND = wp )      &
-                                         )                                    &
-                          ) * ddx                                             &
-                        + ( v(k,j+1,i) * ( ibit3 + ibit4 + ibit5 )            &
-                          - v(k,j,i)   * (                                    &
-                        REAL( IBITS(advc_flag(k,j-1,i),3,1), KIND = wp )      &
-                      + REAL( IBITS(advc_flag(k,j-1,i),4,1), KIND = wp )      &
-                      + REAL( IBITS(advc_flag(k,j-1,i),5,1), KIND = wp )      &
-                                         )                                    &
-                          ) * ddy                                             &
-                        + ( w(k,j,i) * rho_air_zw(k) *                        &
-                                         ( ibit6 + ibit7 + ibit8 )            &
-                          - w(k-1,j,i) * rho_air_zw(k-1) *                    &
-                                         (                                    &
-                        REAL( IBITS(advc_flag(k-1,j,i),6,1), KIND = wp )      &
-                      + REAL( IBITS(advc_flag(k-1,j,i),7,1), KIND = wp )      &
-                      + REAL( IBITS(advc_flag(k-1,j,i),8,1), KIND = wp )      &
-                                         )                                    &      
+          div         =   ( u(k,j,i+1) * ( ibit0 + ibit1 + ibit2 )             &
+                          - u(k,j,i)   * (                                     &
+                        REAL( IBITS(advc_flag(k,j,i-1),0,1), KIND = wp )       &
+                      + REAL( IBITS(advc_flag(k,j,i-1),1,1), KIND = wp )       &
+                      + REAL( IBITS(advc_flag(k,j,i-1),2,1), KIND = wp )       &
+                                         )                                     &
+                          ) * ddx                                              &
+                        + ( v(k,j+1,i) * ( ibit3 + ibit4 + ibit5 )             &
+                          - v(k,j,i)   * (                                     &
+                        REAL( IBITS(advc_flag(k,j-1,i),3,1), KIND = wp )       &
+                      + REAL( IBITS(advc_flag(k,j-1,i),4,1), KIND = wp )       &
+                      + REAL( IBITS(advc_flag(k,j-1,i),5,1), KIND = wp )       &
+                                         )                                     &
+                          ) * ddy                                              &
+                        + ( w(k,j,i) * rho_air_zw(k) *                         &
+                                         ( ibit6 + ibit7 + ibit8 )             &
+                          - w(k-1,j,i) * rho_air_zw(k-1) *                     &
+                                         (                                     &
+                        REAL( IBITS(advc_flag(k-1,j,i),6,1), KIND = wp )       &
+                      + REAL( IBITS(advc_flag(k-1,j,i),7,1), KIND = wp )       &
+                      + REAL( IBITS(advc_flag(k-1,j,i),8,1), KIND = wp )       &
+                                         )                                     &
                           ) * drho_air(k) * ddzw(k)
 
-          tend(k,j,i) = tend(k,j,i) - (                                       &
-                        ( flux_r(k) + diss_r(k) - swap_flux_x_local(k,j,tn) - &
-                          swap_diss_x_local(k,j,tn)            ) * ddx        &
-                      + ( flux_n(k) + diss_n(k) - swap_flux_y_local(k,tn)   - &
-                          swap_diss_y_local(k,tn)              ) * ddy        &
-                      + ( ( flux_t(k) + diss_t(k) ) -                         &
-                          ( flux_d    + diss_d    )                           &
-                                                    ) * drho_air(k) * ddzw(k) &
+          tend(k,j,i) = tend(k,j,i) - (                                        &
+                        ( flux_r(k) + diss_r(k) - swap_flux_x_local(k,j,tn) -  &
+                          swap_diss_x_local(k,j,tn)            ) * ddx         &
+                      + ( flux_n(k) + diss_n(k) - swap_flux_y_local(k,tn)   -  &
+                          swap_diss_y_local(k,tn)              ) * ddy         &
+                      + ( ( flux_t(k) + diss_t(k) ) -                          &
+                          ( flux_d    + diss_d    )                            &
+                                                    ) * drho_air(k) * ddzw(k)  &
                                       ) + sk(k,j,i) * div
 
@@ -1848,5 +1849,5 @@
 
        ENDDO
-       
+
        DO  k = nzb_max_l+1, nzt
 
@@ -1857,18 +1858,18 @@
 !--       correction is needed to overcome numerical instabilities introduced
 !--       by a not sufficient reduction of divergences near topography.
-          div         =   ( u(k,j,i+1) - u(k,j,i) ) * ddx                     &
-                        + ( v(k,j+1,i) - v(k,j,i) ) * ddy                     &
-                        + ( w(k,j,i) * rho_air_zw(k)                          &
-                          - w(k-1,j,i) * rho_air_zw(k-1)                      &
+          div         =   ( u(k,j,i+1) - u(k,j,i) ) * ddx                      &
+                        + ( v(k,j+1,i) - v(k,j,i) ) * ddy                      &
+                        + ( w(k,j,i) * rho_air_zw(k)                           &
+                          - w(k-1,j,i) * rho_air_zw(k-1)                       &
                                                   ) * drho_air(k) * ddzw(k)
 
-          tend(k,j,i) = tend(k,j,i) - (                                       &
-                        ( flux_r(k) + diss_r(k) - swap_flux_x_local(k,j,tn) - &
-                          swap_diss_x_local(k,j,tn)            ) * ddx        &
-                      + ( flux_n(k) + diss_n(k) - swap_flux_y_local(k,tn)   - &
-                          swap_diss_y_local(k,tn)              ) * ddy        &
-                      + ( ( flux_t(k) + diss_t(k) ) -                         &
-                          ( flux_d    + diss_d    )                           &
-                                                    ) * drho_air(k) * ddzw(k) &
+          tend(k,j,i) = tend(k,j,i) - (                                        &
+                        ( flux_r(k) + diss_r(k) - swap_flux_x_local(k,j,tn) -  &
+                          swap_diss_x_local(k,j,tn)            ) * ddx         &
+                      + ( flux_n(k) + diss_n(k) - swap_flux_y_local(k,tn)   -  &
+                          swap_diss_y_local(k,tn)              ) * ddy         &
+                      + ( ( flux_t(k) + diss_t(k) ) -                          &
+                          ( flux_d    + diss_d    )                            &
+                                                    ) * drho_air(k) * ddzw(k)  &
                                       ) + sk(k,j,i) * div
 
@@ -1895,5 +1896,5 @@
                     ) * weight_substep(intermediate_timestep_count)
              ENDDO
-            
+
           CASE ( 'sa' )
 
@@ -1906,5 +1907,5 @@
                     ) * weight_substep(intermediate_timestep_count)
              ENDDO
-            
+
           CASE ( 'q' )
 
@@ -1988,5 +1989,4 @@
           !kk Has to be implemented for kpp chemistry
 
-
          END SELECT
 
@@ -2011,7 +2011,7 @@
        INTEGER(iwp) ::  k_pp      !< k+2 index in disretization, can be modified to avoid segmentation faults
        INTEGER(iwp) ::  k_ppp     !< k+3 index in disretization, can be modified to avoid segmentation faults
-       INTEGER(iwp) ::  nzb_max_l !< index indicating upper bound for order degradation of horizontal advection terms  
+       INTEGER(iwp) ::  nzb_max_l !< index indicating upper bound for order degradation of horizontal advection terms
        INTEGER(iwp) ::  tn        !< number of OpenMP thread
-       
+
        REAL(wp)    ::  ibit0   !< flag indicating 1st-order scheme along x-direction
        REAL(wp)    ::  ibit1   !< flag indicating 3rd-order scheme along x-direction
@@ -2029,5 +2029,5 @@
        REAL(wp)    ::  gv       !< Galilei-transformation velocity along y
        REAL(wp)    ::  u_comp_l !< advection velocity along x at leftmost grid point on subdomain
-       
+
        REAL(wp), DIMENSION(nzb:nzt+1) ::  diss_n !< discretized artificial dissipation at northward-side of the grid box
        REAL(wp), DIMENSION(nzb:nzt+1) ::  diss_r !< discretized artificial dissipation at rightward-side of the grid box
@@ -2040,7 +2040,7 @@
        REAL(wp), DIMENSION(nzb:nzt+1) ::  w_comp !< advection velocity along z
 !
-!--    Used local modified copy of nzb_max (used to degrade order of 
+!--    Used local modified copy of nzb_max (used to degrade order of
 !--    discretization) at non-cyclic boundaries. Modify only at relevant points
-!--    instead of the entire subdomain. This should lead to better 
+!--    instead of the entire subdomain. This should lead to better
 !--    load balance between boundary and non-boundary PEs.
        IF( ( bc_dirichlet_l  .OR.  bc_radiation_l )  .AND.  i <= nxl + 2  .OR. &
@@ -2052,5 +2052,5 @@
           nzb_max_l = nzb_max
        END IF
-       
+
        gu = 2.0_wp * u_gtrans
        gv = 2.0_wp * v_gtrans
@@ -2058,5 +2058,5 @@
 !--    Compute southside fluxes for the respective boundary of PE
        IF ( j == nys  )  THEN
-       
+
           DO  k = nzb+1, nzb_max_l
 
@@ -2104,5 +2104,5 @@
                            37.0_wp * ( u(k,j,i)   + u(k,j-1,i)   )             &
                          -  8.0_wp * ( u(k,j+1,i) + u(k,j-2,i) )               &
-                         +           ( u(k,j+2,i) + u(k,j-3,i) ) ) * adv_mom_5 
+                         +           ( u(k,j+2,i) + u(k,j-3,i) ) ) * adv_mom_5
              diss_s_u(k,tn) = - ABS(v_comp(k)) * (                             &
                            10.0_wp * ( u(k,j,i)   - u(k,j-1,i)   )             &
@@ -2111,10 +2111,10 @@
 
           ENDDO
-          
+
        ENDIF
 !
 !--    Compute leftside fluxes for the respective boundary of PE
        IF ( i == i_omp  .OR.  i == nxlu )  THEN
-       
+
           DO  k = nzb+1, nzb_max_l
 
@@ -2137,6 +2137,6 @@
                               ) *                                              &
                                           ( u(k,j,i+2) + u(k,j,i-3) )          &
-                                           )                                  
-                                                                              
+                                           )
+
              diss_l_u(k,j,tn) = - ABS( u_comp_l ) * (                          &
                               ( 10.0_wp * ibit2 * adv_mom_5                    &
@@ -2169,5 +2169,5 @@
 
           ENDDO
-          
+
        ENDIF
 !
@@ -2188,5 +2188,5 @@
                                     ( u(k,j,i+1) + u(k,j,i)   )                &
               -      (  8.0_wp * ibit2 * adv_mom_5                             &
-                  +              ibit1 * adv_mom_3                             & 
+                  +              ibit1 * adv_mom_3                             &
                      ) *                                                       &
                                     ( u(k,j,i+2) + u(k,j,i-1) )                &
@@ -2194,6 +2194,6 @@
                      ) *                                                       &
                                     ( u(k,j,i+3) + u(k,j,i-2) )                &
-                                           )                                  
-                                                                              
+                                           )
+
           diss_r(k) = - ABS( u_comp(k) - gu ) * (                              &
                      ( 10.0_wp * ibit2 * adv_mom_5                             &
@@ -2229,6 +2229,6 @@
                      ) *                                                       &
                                     ( u(k,j+3,i) + u(k,j-2,i) )                &
-                                  )                                           
-                                                                              
+                                  )
+
           diss_n(k) = - ABS ( v_comp(k) ) * (                                  &
                      ( 10.0_wp * ibit5 * adv_mom_5                             &
@@ -2253,15 +2253,15 @@
                          37.0_wp * ( u(k,j,i+1) + u(k,j,i)   )                 &
                        -  8.0_wp * ( u(k,j,i+2) + u(k,j,i-1) )                 &
-                       +           ( u(k,j,i+3) + u(k,j,i-2) ) ) * adv_mom_5   
+                       +           ( u(k,j,i+3) + u(k,j,i-2) ) ) * adv_mom_5
           diss_r(k) = - ABS( u_comp(k) - gu ) * (                              &
                          10.0_wp * ( u(k,j,i+1) - u(k,j,i)   )                 &
                        -  5.0_wp * ( u(k,j,i+2) - u(k,j,i-1) )                 &
-                       +           ( u(k,j,i+3) - u(k,j,i-2) ) ) * adv_mom_5   
-                                                                               
-          v_comp(k) = v(k,j+1,i) + v(k,j+1,i-1) - gv                           
+                       +           ( u(k,j,i+3) - u(k,j,i-2) ) ) * adv_mom_5
+
+          v_comp(k) = v(k,j+1,i) + v(k,j+1,i-1) - gv
           flux_n(k) = v_comp(k) * (                                            &
                          37.0_wp * ( u(k,j+1,i) + u(k,j,i)   )                 &
                        -  8.0_wp * ( u(k,j+2,i) + u(k,j-1,i) )                 &
-                       +           ( u(k,j+3,i) + u(k,j-2,i) ) ) * adv_mom_5   
+                       +           ( u(k,j+3,i) + u(k,j-2,i) ) ) * adv_mom_5
           diss_n(k) = - ABS( v_comp(k) ) * (                                   &
                          10.0_wp * ( u(k,j+1,i) - u(k,j,i)   )                 &
@@ -2271,9 +2271,9 @@
        ENDDO
 !
-!--    Now, compute vertical fluxes. Split loop into a part treating the 
+!--    Now, compute vertical fluxes. Split loop into a part treating the
 !--    lowest grid points with indirect indexing, a main loop without
 !--    indirect indexing, and a loop for the uppermost grip points with
 !--    indirect indexing. This allows better vectorization for the main loop.
-!--    First, compute the flux at model surface, which need has to be 
+!--    First, compute the flux at model surface, which need has to be
 !--    calculated explicitly for the tendency at
 !--    the first w-level. For topography wall this is done implicitely by
@@ -2282,5 +2282,5 @@
        diss_t(nzb) = 0.0_wp
        w_comp(nzb) = 0.0_wp
-       
+
        DO  k = nzb+1, nzb+1
 !
@@ -2309,6 +2309,6 @@
                      ) *                                                       &
                                 ( u(k_ppp,j,i) + u(k_mm,j,i) )                 &
-                                                  )                            
-                                                                               
+                                                  )
+
           diss_t(k) = - ABS( w_comp(k) ) * rho_air_zw(k) * (                   &
                      ( 10.0_wp * ibit8 * adv_mom_5                             &
@@ -2326,5 +2326,5 @@
                                                            )
        ENDDO
-       
+
        DO  k = nzb+2, nzt-2
 
@@ -2344,5 +2344,5 @@
                      ) *                                                       &
                                 ( u(k+2,j,i) + u(k-1,j,i)   )                  &
-              +      (           ibit8 * adv_mom_5                             & 
+              +      (           ibit8 * adv_mom_5                             &
                      ) *                                                       &
                                 ( u(k+3,j,i) + u(k-2,j,i) )                    &
@@ -2364,5 +2364,5 @@
                                                            )
        ENDDO
-       
+
        DO  k = nzt-1, nzt-symmetry_flag
 !
@@ -2408,9 +2408,9 @@
                                                            )
        ENDDO
-       
+
 !
 !--    Set resolved/turbulent flux at model top to zero (w-level). In case that
 !--    a symmetric behavior between bottom and top shall be guaranteed (closed
-!--    channel flow), the flux at nzt is also set to zero. 
+!--    channel flow), the flux at nzt is also set to zero.
        IF ( symmetry_flag == 1 ) THEN
           flux_t(nzt) = 0.0_wp
@@ -2421,18 +2421,18 @@
        diss_t(nzt+1) = 0.0_wp
        w_comp(nzt+1) = 0.0_wp
-       
+
        DO  k = nzb+1, nzb_max_l
 
           flux_d    = flux_t(k-1)
           diss_d    = diss_t(k-1)
-          
+
           ibit2 = REAL( IBITS(advc_flags_m(k,j,i),2,1), KIND = wp )
           ibit1 = REAL( IBITS(advc_flags_m(k,j,i),1,1), KIND = wp )
           ibit0 = REAL( IBITS(advc_flags_m(k,j,i),0,1), KIND = wp )
-          
+
           ibit5 = REAL( IBITS(advc_flags_m(k,j,i),5,1), KIND = wp )
           ibit4 = REAL( IBITS(advc_flags_m(k,j,i),4,1), KIND = wp )
           ibit3 = REAL( IBITS(advc_flags_m(k,j,i),3,1), KIND = wp )
-          
+
           ibit8 = REAL( IBITS(advc_flags_m(k,j,i),8,1), KIND = wp )
           ibit7 = REAL( IBITS(advc_flags_m(k,j,i),7,1), KIND = wp )
@@ -2464,8 +2464,8 @@
                    + REAL( IBITS(advc_flags_m(k-1,j,i),7,1), KIND = wp )       &
                    + REAL( IBITS(advc_flags_m(k-1,j,i),8,1), KIND = wp )       &
-                                      )                                        &  
+                                      )                                        &
                   ) * drho_air(k) * ddzw(k)                                    &
-                ) * 0.5_wp                                                     
-                                                                               
+                ) * 0.5_wp
+
           tend(k,j,i) = tend(k,j,i) - (                                        &
                             ( flux_r(k) + diss_r(k)                            &
@@ -2504,5 +2504,5 @@
                   ) *   weight_substep(intermediate_timestep_count)
        ENDDO
-       
+
        DO  k = nzb_max_l+1, nzt
 
@@ -2516,5 +2516,5 @@
                +  ( v_comp(k) + gv  - ( v(k,j,i)   + v(k,j,i-1) ) ) * ddy      &
                +  ( w_comp(k)   * rho_air_zw(k)                                &
-                 -  w_comp(k-1) * rho_air_zw(k-1)                              &  
+                 -  w_comp(k-1) * rho_air_zw(k-1)                              &
                   ) * drho_air(k) * ddzw(k)                                    &
                 ) * 0.5_wp
@@ -2528,5 +2528,5 @@
                           -   ( flux_d    + diss_d    )                        &
                                                     ) * drho_air(k) * ddzw(k)  &
-                                       ) + div * u(k,j,i)
+                                      ) + div * u(k,j,i)
 
           flux_l_u(k,j,tn) = flux_r(k)
@@ -2578,11 +2578,11 @@
        INTEGER(iwp)  ::  k_pp      !< k+2 index in disretization, can be modified to avoid segmentation faults
        INTEGER(iwp)  ::  k_ppp     !< k+3 index in disretization, can be modified to avoid segmentation faults
-       INTEGER(iwp)  ::  nzb_max_l !< index indicating upper bound for order degradation of horizontal advection terms  
+       INTEGER(iwp)  ::  nzb_max_l !< index indicating upper bound for order degradation of horizontal advection terms
        INTEGER(iwp)  ::  tn        !< number of OpenMP thread
-       
+
        REAL(wp)      ::  ibit9    !< flag indicating 1st-order scheme along x-direction
        REAL(wp)      ::  ibit10   !< flag indicating 3rd-order scheme along x-direction
        REAL(wp)      ::  ibit11   !< flag indicating 5th-order scheme along x-direction
-       REAL(wp)      ::  ibit12   !< flag indicating 1st-order scheme along y-direction 
+       REAL(wp)      ::  ibit12   !< flag indicating 1st-order scheme along y-direction
        REAL(wp)      ::  ibit13   !< flag indicating 3rd-order scheme along y-direction
        REAL(wp)      ::  ibit14   !< flag indicating 3rd-order scheme along y-direction
@@ -2596,5 +2596,5 @@
        REAL(wp)      ::  gv       !< Galilei-transformation velocity along y
        REAL(wp)      ::  v_comp_l !< advection velocity along y on leftmost grid point on subdomain
-       
+
        REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_n !< discretized artificial dissipation at northward-side of the grid box
        REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_r !< discretized artificial dissipation at rightward-side of the grid box
@@ -2607,7 +2607,7 @@
        REAL(wp), DIMENSION(nzb:nzt+1)  ::  w_comp !< advection velocity along z
 !
-!--    Used local modified copy of nzb_max (used to degrade order of 
+!--    Used local modified copy of nzb_max (used to degrade order of
 !--    discretization) at non-cyclic boundaries. Modify only at relevant points
-!--    instead of the entire subdomain. This should lead to better 
+!--    instead of the entire subdomain. This should lead to better
 !--    load balance between boundary and non-boundary PEs.
        IF( ( bc_dirichlet_l  .OR.  bc_radiation_l )  .AND.  i <= nxl + 2  .OR. &
@@ -2619,9 +2619,9 @@
           nzb_max_l = nzb_max
        END IF
-       
+
        gu = 2.0_wp * u_gtrans
        gv = 2.0_wp * v_gtrans
 
-!       
+!
 !--    Compute leftside fluxes for the respective boundary.
        IF ( i == i_omp )  THEN
@@ -2634,32 +2634,32 @@
 
              u_comp(k)        = u(k,j-1,i) + u(k,j,i) - gu
-             flux_l_v(k,j,tn) = u_comp(k) * (                                 &
-                              ( 37.0_wp * ibit11 * adv_mom_5                  &
-                           +     7.0_wp * ibit10 * adv_mom_3                  &
-                           +              ibit9  * adv_mom_1                  &
-                              ) *                                             &
-                                        ( v(k,j,i)   + v(k,j,i-1) )           &
-                       -      (  8.0_wp * ibit11 * adv_mom_5                  &
-                           +              ibit10 * adv_mom_3                  &
-                              ) *                                             &
-                                        ( v(k,j,i+1) + v(k,j,i-2) )           &
-                       +      (           ibit11 * adv_mom_5                  &
-                              ) *                                             &
-                                        ( v(k,j,i+2) + v(k,j,i-3) )           &
+             flux_l_v(k,j,tn) = u_comp(k) * (                                  &
+                              ( 37.0_wp * ibit11 * adv_mom_5                   &
+                           +     7.0_wp * ibit10 * adv_mom_3                   &
+                           +              ibit9  * adv_mom_1                   &
+                              ) *                                              &
+                                        ( v(k,j,i)   + v(k,j,i-1) )            &
+                       -      (  8.0_wp * ibit11 * adv_mom_5                   &
+                           +              ibit10 * adv_mom_3                   &
+                              ) *                                              &
+                                        ( v(k,j,i+1) + v(k,j,i-2) )            &
+                       +      (           ibit11 * adv_mom_5                   &
+                              ) *                                              &
+                                        ( v(k,j,i+2) + v(k,j,i-3) )            &
                                             )
 
-             diss_l_v(k,j,tn) = - ABS( u_comp(k) ) * (                        &
-                              ( 10.0_wp * ibit11 * adv_mom_5                  &
-                           +     3.0_wp * ibit10 * adv_mom_3                  &
-                           +              ibit9  * adv_mom_1                  &
-                              ) *                                             &
-                                        ( v(k,j,i)   - v(k,j,i-1) )           &
-                       -      (  5.0_wp * ibit11 * adv_mom_5                  &
-                           +              ibit10 * adv_mom_3                  &
-                              ) *                                             &
-                                        ( v(k,j,i+1) - v(k,j,i-2) )           &
-                       +      (           ibit11 * adv_mom_5                  &
-                              ) *                                             &
-                                        ( v(k,j,i+2) - v(k,j,i-3) )           &
+             diss_l_v(k,j,tn) = - ABS( u_comp(k) ) * (                         &
+                              ( 10.0_wp * ibit11 * adv_mom_5                   &
+                           +     3.0_wp * ibit10 * adv_mom_3                   &
+                           +              ibit9  * adv_mom_1                   &
+                              ) *                                              &
+                                        ( v(k,j,i)   - v(k,j,i-1) )            &
+                       -      (  5.0_wp * ibit11 * adv_mom_5                   &
+                           +              ibit10 * adv_mom_3                   &
+                              ) *                                              &
+                                        ( v(k,j,i+1) - v(k,j,i-2) )            &
+                       +      (           ibit11 * adv_mom_5                   &
+                              ) *                                              &
+                                        ( v(k,j,i+2) - v(k,j,i-3) )            &
                                                      )
 
@@ -2669,20 +2669,20 @@
 
              u_comp(k)        = u(k,j-1,i) + u(k,j,i) - gu
-             flux_l_v(k,j,tn) = u_comp(k) * (                                 &
-                             37.0_wp * ( v(k,j,i)   + v(k,j,i-1)   )          &
-                           -  8.0_wp * ( v(k,j,i+1) + v(k,j,i-2) )            &
+             flux_l_v(k,j,tn) = u_comp(k) * (                                  &
+                             37.0_wp * ( v(k,j,i)   + v(k,j,i-1)   )           &
+                           -  8.0_wp * ( v(k,j,i+1) + v(k,j,i-2) )             &
                            +           ( v(k,j,i+2) + v(k,j,i-3) ) ) * adv_mom_5
-             diss_l_v(k,j,tn) = - ABS( u_comp(k) ) * (                        &
-                             10.0_wp * ( v(k,j,i)   - v(k,j,i-1)   )          &
-                           -  5.0_wp * ( v(k,j,i+1) - v(k,j,i-2) )            &
+             diss_l_v(k,j,tn) = - ABS( u_comp(k) ) * (                         &
+                             10.0_wp * ( v(k,j,i)   - v(k,j,i-1)   )           &
+                           -  5.0_wp * ( v(k,j,i+1) - v(k,j,i-2) )             &
                            +           ( v(k,j,i+2) - v(k,j,i-3) ) ) * adv_mom_5
 
           ENDDO
-          
+
        ENDIF
 !
 !--    Compute southside fluxes for the respective boundary.
        IF ( j == nysv )  THEN
-       
+
           DO  k = nzb+1, nzb_max_l
 
